McAfee Advanced Threat Defense client requirements

The following are the system requirements for client systems connecting to the Advanced Threat Defense web application.

  • Client operating system — Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows 7, Microsoft Windows 8.0, Microsoft Windows 10
  • Browsers — Internet Explorer 10 and 11, Google Chrome 40.0.2214.115 to 66.0.3359, and Mozilla Firefox 36.0.4 to 59.0.2.

Browser settings for HTML5 support

User-interactive mode (XMode) is used for activation of VM images and manual submission of files. This mode works with any browser that support HTML5 Canvas. You do not need to install Java to use the XMode feature.

Google Chrome version 44.0.2403 and higher and Mozilla Firefox version 40.0.3 and higher are supported. Microsoft Internet Explorer is not supported.

You need to modify Firefox settings to use the HTML5 feature.

  1. From the Firefox Home page, click OptionsAdvancedCertificatesView Certificates.
  2. From the Certificate Manager window, click Servers.
  3. Click Add Exception... and type https://<Host ATD IP address>:6080 and click Get Certificate.
  4. Click Confirm Security Exception and then OK.
  5. Click Activation or XMode.

Security settings for Internet Explorer

When you try to access the web application, you might see the ActiveX control unsafe pop-up dialog box. Perform these steps to resolve this issue.

  1. On your system, search for Edit Group Policy. The Local Group Policy Editor window is displayed.
  2. From the Local Computer Policy tree, go to Computer ConfigurationAdministrative TemplatesWindows Components and click Internet Explorer.
  3. In the right window options, double-click Turn off the Security Settings Check feature and select Enabled.
  4. Click Apply and then OK.